For the complete documentation index, see llms.txt. This page is also available as Markdown.

Checkpoints

Cedana API for checkpoints

List checkpoints

get

Use query params to filter checkpoints. Supports filtering by ids (comma-separated UUIDs for single or multiple checkpoints)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
idsstring · nullableOptional

Comma-separated list of checkpoint UUIDs to filter by

Responses
200

Returns checkpoints

application/json

Checkpoint is basic unit for cedana service operation it stores all the information regarding the snapshot we can use to save and then restore state

checksumstring · nullableOptional
deltabooleanRequired

Whether this checkpoint is a (GPU delta) increment. Authoritative even when parent_checkpoint_id is null (malformed id at ingest, parent deleted)

gpustringRequired
idstring · uuidRequired
infoanyOptional
namestring · nullableOptional
parent_checkpoint_idstring · nullableOptional

Checkpoint this one is an increment of; null for full checkpoints and for deltas whose parent is unknown or deleted

platformstringRequired
statusstring · enumRequiredPossible values:
get/v1/checkpoints
GET /v1/checkpoints HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "checksum": null,
    "delta": true,
    "gpu": "text",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "info": null,
    "name": null,
    "parent_checkpoint_id": null,
    "platform": "text",
    "status": "initializing"
  }
]

Create checkpoint

post

Builds a new checkpoint without the metadata and information about the checkpoint with status initializing

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Returns the checkpoint ID for the new checkpoint

text/plain
stringOptional
post/v1/checkpoints
POST /v1/checkpoints HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
550e8400-e29b-41d4-a716-446655440000

Deprecate checkpoint

patch

Marks checkpoint as deprecated, so that they can be removed on next internal state cleanup

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successfully deprecated checkpoint and returns id

text/plain
stringOptional
patch/v1/checkpoints/deprecate/{id}
PATCH /v1/checkpoints/deprecate/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
550e8400-e29b-41d4-a716-446655440000

Put checkpoint info

put

Add information about the checkpoint

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired
Body
gpustringRequired
infoanyOptional
platformstringRequired
Responses
200

Successfully updated checkpoint info and returns ID

text/plain
stringOptional
put/v1/checkpoints/info/{id}
PUT /v1/checkpoints/info/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "gpu": "text",
  "info": null,
  "platform": "text"
}
550e8400-e29b-41d4-a716-446655440000

Uploaded checkpoint

post

Marks checkpoint as successfully uploaded and ready for restore

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
restore_pathstring · nullableOptional
Responses
200

Marks the checkpoint as successfully uploaded

text/plain
stringOptional
post/v1/checkpoints/uploaded/{id}
POST /v1/checkpoints/uploaded/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "restore_path": null
}
550e8400-e29b-41d4-a716-446655440000

Last updated

Was this helpful?